Bug 433082 - Review Request: libax24 - AX.25 library for hamradio applications
Review Request: libax24 - AX.25 library for hamradio applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 20:15 EST by Robert 'Bob' Jensen
Modified: 2008-02-28 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 16:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vanmeeuwen+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert 'Bob' Jensen 2008-02-15 20:15:48 EST
Spec URL: http://bjensen.fedorapeople.org/pkgs/hams/SPECS/libax25.spec
SRPM URL: http://bjensen.fedorapeople.org/pkgs/hams/SRPMS/libax25-0.0.11-2.fc8.src.rpm
Description: libax25 is a library for ham radio applications that use the ax25 protocol. Included are routines to do ax25 address parsing, common ax25 application config file parsing, etc
Comment 1 Jeroen van Meeuwen 2008-02-15 20:45:22 EST
RPM Lint: OK
Package name: OK
Spec file: OK
License: OK
Actual License: LPGLv2+ (from source files: `grep -rin -A 2 lesser *` inside the
source tree shows, COPYING has LGPLv2.1)
%doc License: OK
Spec file language: OK
Spec file readable: OK
Upstream source vs. used tarball: OK (md5sum match)
Compile and Build:
 - F7 OK
 - F8 OK
 - rawhide OK
 - EL5 OK

Applicable Package Guidelines:
 - -debuginfo package: OK (~49K)
 - -devel package: FAILED (see below)

Locales: N/A
Shared libs: OK
Relocatable: N/A
Directory and file ownership: OK
No duplicate files in %files: OK
File Permissions: OK
Macro usage: OK
Code vs. Content: OK
(Large) Documentation: N/A
%doc affecting runtime: OK
Header files in -devel package: FAILED (see below)
Static Libraries in -static package: N/A
pkgconfig Requires: N/A
Library files: OK
Devel requires base package: OK
.la libtool archives: N/A
Duplicate ownership of files/directories: OK
Remove BuildRoot: OK
UTF-8 filenames: OK

==

Below shows that the base package lacks a couple of files (man pages for
example), whereas the -devel package picks them up.

[jmeeuwen@unity05 fedora-ham]$ rpm -qlp
/var/lib/mock/fedora-8-i386/result/libax25-devel-0.0.11-2.fc8.i386.rpm 
/usr/include/netax25
/usr/include/netax25/ax25io.h
/usr/include/netax25/axconfig.h
/usr/include/netax25/axlib.h
/usr/include/netax25/daemon.h
/usr/include/netax25/kernel_ax25.h
/usr/include/netax25/kernel_netrom.h
/usr/include/netax25/kernel_rose.h
/usr/include/netax25/mheard.h
/usr/include/netax25/nrconfig.h
/usr/include/netax25/procutils.h
/usr/include/netax25/rsconfig.h
/usr/include/netax25/ttyutils.h
/usr/lib/libax25.so
/usr/lib/libax25io.so
/usr/share/doc/libax25-devel-0.0.11
/usr/share/doc/libax25-devel-0.0.11/AUTHORS
/usr/share/doc/libax25-devel-0.0.11/COPYING
/usr/share/doc/libax25-devel-0.0.11/ChangeLog
/usr/share/doc/libax25-devel-0.0.11/README
/usr/share/man/man3/ax25.3.gz
/usr/share/man/man3/rose.3.gz
/usr/share/man/man5/axports.5.gz
/usr/share/man/man5/nrports.5.gz
/usr/share/man/man5/rsports.5.gz
[jmeeuwen@unity05 fedora-ham]$ rpm -qlp
/var/lib/mock/fedora-8-i386/result/libax25-0.0.11-2.fc8.i386.rpm 
/usr/lib/libax25.so.0
/usr/lib/libax25.so.0.0.0
/usr/lib/libax25io.so.0
/usr/lib/libax25io.so.0.0.0
/usr/share/doc/libax25-0.0.11
/usr/share/doc/libax25-0.0.11/COPYING
/usr/share/doc/libax25-0.0.11/README

==

Replace the %files sections in the .spec with: (and things should be OK)

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
Comment 3 Jeroen van Meeuwen 2008-02-15 21:07:59 EST
Issues confirmed fixed, builds OK and files end up in the right package.

APPROVED
Comment 4 Robert 'Bob' Jensen 2008-02-15 21:11:14 EST
New Package CVS Request
=======================
Package Name: libax25
Short Description: AX.25 library for hamradio applications
Owners: bjensen,sconklin
Branches: F-7 F-8
InitialCC: sindrebp
Cvsextras Commits: Yes
Comment 5 Kevin Fenzi 2008-02-15 22:37:02 EST
cvs done.
Comment 6 Mamoru TASAKA 2008-02-15 23:03:05 EST
Usually section 3 man files are for the explanation of functions
and should be in -devel subpackage.
Comment 7 Robert 'Bob' Jensen 2008-02-16 11:02:46 EST
(In reply to comment #6)
> Usually section 3 man files are for the explanation of functions
> and should be in -devel subpackage.

I will review this and make the change before the next build.
Comment 8 Fedora Update System 2008-02-16 19:42:07 EST
unixcw-2.3-2.fc7 has been submitted as an update for Fedora 7
Comment 9 Fedora Update System 2008-02-16 19:47:52 EST
libax25-0.0.11-3.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-02-18 22:14:52 EST
libax25-0.0.11-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-02-18 22:14:57 EST
libax25-0.0.11-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jeroen van Meeuwen 2008-02-28 16:37:28 EST
Closing

Note You need to log in before you can comment on or make changes to this bug.